# $Revision: 1.32 $, $Date: 2005/09/17 10:54:14 $
Summary:	General tool for mathematics
Summary(pl):	Rozbudowane narzdzie matematyczne
Name:		drgenius
Version:	0.5.10
Release:	12
License:	GPL
Group:		X11/Applications
Source0:	http://ftp.5z.com/pub/genius/%{name}-%{version}.tar.gz
# Source0-md5:	17139421686934f86ed6e90e8f658532
Patch0:		%{name}-make.patch
Patch1:		%{name}-am_fix.patch
Patch2:		%{name}-gob.patch
Patch3:		%{name}-c++.patch
Patch4:		%{name}-desktop.patch
Patch5:		%{name}-locale_names.patch
Patch6:		%{name}-po.patch
URL:		http://ofset.sourceforge.net/drgenius/index.html
BuildRequires:	ORBit-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	glib-devel >= 1.2.0
BuildRequires:	gmp-devel >= 3.1.1
BuildRequires:	gnome-libs-devel
BuildRequires:	gob >= 1.0.6
BuildRequires:	libglade-gnome-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml-devel
BuildRequires:	readline-devel >= 4.2
Obsoletes:	drgeo
Obsoletes:	genius
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dr. Genius is a general tool for mathematics, including a mathematical
programming language and evaluator, an euclidian geometry tool, a
2D/3D function grapher and a console calculator. The console
calculator handles multiple precision floating point numbers, infinite
precision integers, complex numbers and matrixes.

%description -l pl
Dr. Genius to narzdzie do rozwizywania problemw matematycznych.
Zawiera ono matematyczny jzyk programowania, narzdzie do geometrii
euklidesowej, narzdzie do generowania wykresw 2D/3D oraz konsolowy
kalkulator. Kalkulator obsuguje liczby zmiennoprzecinkowe wysokiej
precyzji, liczby cakowite, zespolone oraz macierze.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

mv po/{no,nb}.po

# only one, broken line here
echo > exemples/macro/Makefile.am
# force regeneration, included versions have broken cpp directives
rm -f gobobjs/*.[ch]*

%build
rm -f acinclude.m4
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure \
	--enable-gnome \
	--disable-static \
	--without-included-gettext
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Utilitiesdir=%{_desktopdir}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %dir %{_libdir}/genius
%attr(755,root,root) %{_libdir}/genius/*
%{_includedir}/genius
%{_datadir}/drgenius
%{_datadir}/genius
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: drgenius.spec,v $
Revision 1.32  2005/09/17 10:54:14  arekm
- readline 5.0

Revision 1.31  2004/10/07 09:07:39  ankry
- O:drgeo, rel. 11

Revision 1.30  2004/08/04 06:23:58  ankry
- i18n fixes (-po patch), rel. 10

Revision 1.29  2004/07/23 04:56:19  ankry
- nb -> no (locale_names patch), rel. 9

Revision 1.28  2004/07/14 19:54:11  ankry
- better category, rel. 8

Revision 1.27  2004/07/14 07:23:37  ankry
- desktop updated, rel. 7

Revision 1.26  2004/04/02 15:02:40  qboosh
- added gob,c++ patches, fixed build (gob >= 1.0.6 needed for gcc3)

Revision 1.25  2004/03/28 17:01:09  qboosh
- switched to desktopdir, release 6 for Ac

Revision 1.24  2003/05/28 12:58:52  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 05:46:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/01/18 22:46:44  juandon
- removed two lines with define

Revision 1.21  2002/11/27 19:36:43  juandon
- new %%doc

Revision 1.20  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.19  2002/06/23 20:52:49  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.18  2002/06/23 20:32:22  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.17  2002/05/21 23:12:57  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.16  2002/04/25 16:13:44  arturs
fixed a small typo

Revision 1.15  2002/04/25 14:23:33  kloczek
- -f parameter for rm command in %build.

Revision 1.14  2002/04/25 12:37:39  marcus
- rel.5

Revision 1.13  2002/03/24 23:28:15  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.12  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/03 20:43:48  ankry
- adding es/pt/pt_BR Group translations

Revision 1.10  2002/01/18 02:12:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/10/07 14:42:45  blues
- release 4
- ac2.5 ready
- am_fix patch

Revision 1.8  2001/08/10 18:52:03  kloczek
- realy relase 3.

Revision 1.7  2001/08/10 16:49:49  kloczek
- release 3: rebuild against gmp 3.1.1.

Revision 1.6  2001/06/23 11:56:26  kloczek
- remove ncurses-devel fron BuildRequires (readline-devel determines using
  also ncurses-devel).

Revision 1.5  2001/06/11 10:58:37  misiek
really fix it

Revision 1.4  2001/06/11 06:55:16  misiek
regenerate libtool, too

Revision 1.3  2001/06/11 06:47:28  misiek
- release 2
- rebuild with new readline

Revision 1.2  2001/02/04 13:27:32  kloczek
- added automake, autoconf t oBuildRequires and few cosmetics.

Revision 1.1  2001/02/04 11:45:47  misiek
mathematical tool. initial release
